ATOI(3)

NAME
atoi - convert ASCII string to integer

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
int
atoi(const char *nptr);

DESCRIPTION
The atoi() function converts the initial portion of the string pointed to by nptr to int representation.

It is equivalent to:

    (int)strtol(nptr, (char **)NULL, 10);

The atoi() function has been deprecated by strtol() and should not be used in new code.

ERRORS
The function atoi() need not affect the value of errno on an error.

SEE ALSO
atof(3), atol(3), strtod(3), strtol(3), strtoul(3)

STANDARDS
The atoi() function conforms to p1003.1-90, isoC, and isoC-99.